Subject: Re: [PATCH 32/32] aio: implement io_pgetevents

From: Christoph Hellwig <[email-masked]>
Date: Tue, 16 Jan 2018 13:04:33 +0100

On Mon, Jan 15, 2018 at 09:53:10AM +0100, Christoph Hellwig wrote:
> > pselect, as an example, crams the sigmask and size together.  Why not
> > just do that?  libaio can take care of setting that up.
> 
> Yes, I could try that.  It's just another double indirection for no
> good reason.

I cna't get this to work - for some reason I always end up with a NULL
sigmask in the kernel.  Nevermind that it leads to really crap code
generation.  I guess for select the latter doesn't matter too much as
everyone sane uses ppoll anyway.